Thank you for your feedback.
Form temporarily unavailable. Please try again or contact docfeedback@servicenow.com to submit your comments.
Versions
  • London
  • Kingston
  • Jakarta
  • Istanbul
  • Helsinki
  • Geneva
  • Store
Close

Browser requirements for all London features and products

Browser requirements for all London features and products

Cumulative release notes summary on browser requirements for London features and products.

Browser requirements

Several products have specific browser requirements. Review this information to ensure you are using the correct browsers and browser versions.
Application or feature Details
Accessibility

Some keyboard shortcuts are browser-specific. See your specific browser documentation for more information.

Project Portfolio Management

If you are using Internet Explorer, version 11 or later (including Edge) is required to use all aspects of the workbenches.

Vendor Risk Management

Google Chrome 63 and later.